C++Class-class {Rcpp} | R Documentation

## Reflection information for an internal c++ class

### Description

Information about an internal c++ class.

### Objects from the Class

Objects are usually extracted from a Module using the dollar extractor.

### Slots

`.Data`:

  mangled name of the class

`pointer`:

  external pointer to the internal infomation

`module`:

  external pointer to the module

`fields`:

  list of C++Field objects

`constructors`:

  list of C++Constructor objects

`methods`:

  list of C++OverloadedMethods objects

generator

  the generator object for the class

docstring

  description of the class

typeid

  unmangled typeid of the class

enums

  enums of the class

parents

  names of the parent classes of this class

### Methods

show

  `signature(object = "C++Class")`: prints the class.

$

  `signature(object = "C++Class")`: ...

[Package Rcpp version 0.12.5 Index]